#
#   - BIND-Conf_Parser -
#   This spec file was automatically generated by cpan2rpm [ver: 2.027]
#   (ALT Linux revision)
#   The following arguments were used:
#       BIND::Conf_Parser BIND-Conf_Parser-0.95.tar.gz
#   For more information on cpan2rpm please visit: http://perl.arix.com/
#

%define module BIND-Conf_Parser
%define m_distro BIND-Conf_Parser
%define m_name BIND-Conf_Parser
%define m_author_id unknown
%define _enable_test 1

Name: perl-BIND-Conf_Parser
Version: 0.95
Release: alt1

Summary: Parser class for BIND configuration files

License: Artistic
Group: Development/Perl
Url: http://www.cpan.org

Packager: Anton V. Boyarshinov <boyarsh@altlinux.ru>

BuildArch: noarch
Source: %m_distro-%version.tar.gz

# Automatically added by buildreq on Thu Feb 08 2007
BuildRequires: perl-devel

%description
"BIND::Conf_Parser" implements a virtual base class for parsing BIND
(Berkeley Internet Name Domain) server version 8 configuration files
("named.conf").  The parsing methods shown in the synopsis perform
syntactic analysis only.  As each meaningful semantic 'chunk' is
parsed, a callback method is invoked with the parsed information.
The following methods are the public entry points for the base class:

=over 4

=item $p = BIND::Conf_Parser->new

The object constructor takes no arguments.

=item $p->parse_file( $filename )

The given filename is parsed in its entirety.

=item $p->parse_fh( $fh [, $filename] )

The given filehandle is parsed in its entirety.  An optional filename
may be given for inclusion in any error messages that are generated
during the parsing.  If it is not included a default of "a file handle"
will be used.

=item $p->parse( $statements [, $filename] );

The given scalar is parsed in its entirety.  Partial statements will be
treated as a syntax error.  An optional filename may be given for
inclusion in any error messages that are generated during the parsing.
If it is not included a default of "a scalar" will be used.

=back

For conveniance, the last three methods may also be called as class
methods (that is, with the class name instead of a constructed object
reference), in which case they will call new() method and use the
resulting object.  All three return the object used, whether passed in
or constructed at call-time.

In order to make the parser useful, you must make a subclass where you
override one or more of the following methods as appropriate:

=over 4

=item $self->handle_logging_category( $name, \@names )

=item $self->handle_logging_channel( $name, \%%options )

=item $self->handle_key( $name, $algo, $secret )

=item $self->handle_acl( $name, $addrmatchlist )

=item $self->handle_option( $option, $argument )

=item $self->handle_server( $name, \%%options )

=item $self->handle_trusted_key( $domain, \@key_definition)

=item $self->handle_empty_zone( $name, $class, \%%options )

=item $self->handle_zone( $name, $class, $type, \%%options )

=item $self->handle_control( $socket_type, \@type_specific_data )

=back

The exact format of the data passed to the above routines is not
currently documented outside of the source to the class, but should be
found to be fairly natural.

%prep
%setup -q -n %m_distro-%version
%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/*
%perl_vendor_man3dir/*

%changelog
* Thu Feb 08 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.95-alt1
- first build for ALT Linux Sisyphus

